<tr class="ligne"> 
    <td>
        <strong><%= utilisateur.prenom_nom %></strong>
    </td>

    <% ((@date2-@date).to_i).times do |index| %>
        <% date_jour = (@date + index.day) %>
        <% bg = "normal" %>
        

        <!-- Si Weekend... -->        
        <% if date_jour.wday==6 %>
            <td class="weekend">
                
                <%= render partial: "cellule_jour_month_bullet", locals: { 
                    bg: bg,
                    date_jour: date_jour,
                    service: service,
                    utilisateur: utilisateur
                } %>
            
            </td>
        <% end %>

        <!-- Si Jour de semaine ... -->
        <% if (1..5).include?(date_jour.wday) %>

        

            <!-- Jour de semaine "normal" -->

            <!-- Si tâche prévue cette semaine, on color le fond en orange claire -->
            <% if @tasks_profil[utilisateur.id] %>
                <% tasks_for_user = @tasks_profil[utilisateur.id] %>
                <% tasks_for_user.each do |tsk| %>
                    <% bg = "task" if date_jour.cweek == tsk.numero_semaine %>
                <% end %>
                
            <% end %>

            <% if date_jour == Date.today %>
                <!-- Si jour est date actuelle on jauni le fond ... -->
                <% bg = "today" %>
            <% end %>

            

            <!-- service ouvert... -->
        
            <!-- mais utilisateur en congé-->
            <% unless @absences[utilisateur.id].nil? %>
                <% var_abs = @absences[utilisateur.id][date_jour.to_s] %>
                <% if @absences[utilisateur.id].keys.include?(date_jour.to_s) %>
                    
                    
                    <% if @absences[utilisateur.id][date_jour.to_s].size > 2 %>
                        <% if @absences[utilisateur.id][date_jour.to_s][0].downcase == "ann" %>
                            <% ann = "_ann" %>
                        <% else %>
                            <% ann = "" %>
                        <% end  %>
                        <% if @absences[utilisateur.id][date_jour.to_s][2] %>
                            <% demi = "_demi" %>
                        <% end  %>
                    <% else %>
                        <% demi = "" %>
                    <% end %>

                    <!-- Congé ok ou wait -->
                    <% if @absences[utilisateur.id][date_jour.to_s][1] %>
                        <% bg = "conge_ok#{ann}#{demi}" %>
                    <% else %>
                        <% bg = "conge_wait#{ann}#{demi}" %>
                    <% end %>

                <% end %>    
            <% end %>

            <!-- service fermé... -->
            <% unless @fermetures[service.id].nil? %>
                <% unless @fermetures[service.id][date_jour.to_s].nil? %>
                    <% bg = "ferie" %>
                <% end %>
            <% end %>
            

            <!-- On affiche la cellule du jour -->
            <td class="<%= bg %>">
                <%= render partial: "cellule_jour_month", locals: { 
                    bg: bg,
                    date_jour: date_jour,
                    service: service,
                    utilisateur: utilisateur,
                    abs: var_abs
                } %>
             </td>
             
        <% end %>
    <% end %>
</tr>